WavPCMSampleValueTest Class Reference

`#include <WavPCMSampleValueTest.h>`

Inheritance diagram for WavPCMSampleValueTest:

## Public Member Functions

| WavPCMSampleValueTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testDistance (void)
void | testIsNeighbour (void)
Public Member Functions inherited from SampleValueTest
| SampleValueTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

CvrStgFile * | f_WavPCM8
CvrStgFile * | f_WavPCM16
SampleValue * | sv_WavPCM8_0
SampleValue * | sv_WavPCM8_1
SampleValue * | sv_WavPCM8_45
SampleValue * | sv_WavPCM16_m32768
SampleValue * | sv_WavPCM16_32767
SampleValue * | sv_WavPCM16_0
SampleValue * | sv_WavPCM16_15
Globals | gl_WavPCM8
Globals | gl_WavPCM16

## Additional Inherited Members

Protected Member Functions inherited from SampleValueTest
bool | genericTestDistance (SampleValue *s1, SampleValue *s2, UWORD32 dist)
bool | genericTestIsNeighbour (SampleValue *s1, SampleValue *s2, bool res)
bool | genericTestEValue (SampleValue *s, EmbValue ev)
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## WavPCMSampleValueTest()

WavPCMSampleValueTest::WavPCMSampleValueTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void WavPCMSampleValueTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void WavPCMSampleValueTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testDistance()

void WavPCMSampleValueTest::testDistance | ( | void |  | ) |

## testIsNeighbour()

void WavPCMSampleValueTest::testIsNeighbour | ( | void |  | ) |

## Member Data Documentation

## f_WavPCM16

CvrStgFile * WavPCMSampleValueTest::f_WavPCM16

private

## f_WavPCM8

CvrStgFile* WavPCMSampleValueTest::f_WavPCM8

private

## gl_WavPCM16

Globals WavPCMSampleValueTest::gl_WavPCM16

private

## gl_WavPCM8

Globals WavPCMSampleValueTest::gl_WavPCM8

private

## sv_WavPCM16_0

SampleValue * WavPCMSampleValueTest::sv_WavPCM16_0

private

## sv_WavPCM16_15

SampleValue * WavPCMSampleValueTest::sv_WavPCM16_15

private

## sv_WavPCM16_32767

SampleValue * WavPCMSampleValueTest::sv_WavPCM16_32767

private

## sv_WavPCM16_m32768

SampleValue * WavPCMSampleValueTest::sv_WavPCM16_m32768

private

## sv_WavPCM8_0

SampleValue* WavPCMSampleValueTest::sv_WavPCM8_0

private

## sv_WavPCM8_1

SampleValue * WavPCMSampleValueTest::sv_WavPCM8_1

private

## sv_WavPCM8_45

SampleValue * WavPCMSampleValueTest::sv_WavPCM8_45

private

The documentation for this class was generated from the following files:

- WavPCMSampleValueTest.h
- WavPCMSampleValueTest.cc